org.keycloak.representations.idm

## Class CredentialRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.CredentialRepresentation

-     public class CredentialRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CLIENT_CERT`
    `protected Integer` | `counter`
    `protected String` | `device`
    `protected String` | `hashedSaltedValue`
    `protected Integer` | `hashIterations`
    `static String` | `HOTP`
    `static String` | `KERBEROS`
    `static String` | `PASSWORD`
    `static String` | `PASSWORD_TOKEN`
    `protected String` | `salt`
    `static String` | `SECRET`
    `protected Boolean` | `temporary`
    `static String` | `TOTP`
    `protected String` | `type`
    `protected String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CredentialRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlgorithm()`
    `Integer` | `getCounter()`
    `Long` | `getCreatedDate()`
    `String` | `getDevice()`
    `Integer` | `getDigits()`
    `String` | `getHashedSaltedValue()`
    `Integer` | `getHashIterations()`
    `Integer` | `getPeriod()`
    `String` | `getSalt()`
    `String` | `getType()`
    `String` | `getValue()`
    `Boolean` | `isTemporary()`
    `void` | `setAlgorithm(String algorithm)`
    `void` | `setCounter(Integer counter)`
    `void` | `setCreatedDate(Long createdDate)`
    `void` | `setDevice(String device)`
    `void` | `setDigits(Integer digits)`
    `void` | `setHashedSaltedValue(String hashedSaltedValue)`
    `void` | `setHashIterations(Integer hashIterations)`
    `void` | `setPeriod(Integer period)`
    `void` | `setSalt(String salt)`
    `void` | `setTemporary(Boolean temporary)`
    `void` | `setType(String type)`
    `void` | `setValue(String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SECRET

          public static final String SECRET

      See Also:
        Constant Field Values

    - #### PASSWORD

          public static final String PASSWORD

      See Also:
        Constant Field Values

    - #### PASSWORD_TOKEN

          public static final String PASSWORD_TOKEN

      See Also:
        Constant Field Values

    - #### TOTP

          public static final String TOTP

      See Also:
        Constant Field Values

    - #### HOTP

          public static final String HOTP

      See Also:
        Constant Field Values

    - #### CLIENT_CERT

          public static final String CLIENT_CERT

      See Also:
        Constant Field Values

    - #### KERBEROS

          public static final String KERBEROS

      See Also:
        Constant Field Values

    - #### type

          protected String type

    - #### device

          protected String device

    - #### value

          protected String value

    - #### hashedSaltedValue

          protected String hashedSaltedValue

    - #### salt

          protected String salt

    - #### hashIterations

          protected Integer hashIterations

    - #### counter

          protected Integer counter

    - #### temporary

          protected Boolean temporary

  - ### Constructor Detail

    - #### CredentialRepresentation

          public CredentialRepresentation()

  - ### Method Detail

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getValue

          public String getValue()

    - #### setValue

          public void setValue(String value)

    - #### getDevice

          public String getDevice()

    - #### setDevice

          public void setDevice(String device)

    - #### getHashedSaltedValue

          public String getHashedSaltedValue()

    - #### setHashedSaltedValue

          public void setHashedSaltedValue(String hashedSaltedValue)

    - #### getSalt

          public String getSalt()

    - #### setSalt

          public void setSalt(String salt)

    - #### getHashIterations

          public Integer getHashIterations()

    - #### setHashIterations

          public void setHashIterations(Integer hashIterations)

    - #### isTemporary

          public Boolean isTemporary()

    - #### setTemporary

          public void setTemporary(Boolean temporary)

    - #### getCounter

          public Integer getCounter()

    - #### setCounter

          public void setCounter(Integer counter)

    - #### getAlgorithm

          public String getAlgorithm()

    - #### setAlgorithm

          public void setAlgorithm(String algorithm)

    - #### getDigits

          public Integer getDigits()

    - #### setDigits

          public void setDigits(Integer digits)

    - #### getPeriod

          public Integer getPeriod()

    - #### setPeriod

          public void setPeriod(Integer period)

    - #### getCreatedDate

          public Long getCreatedDate()

    - #### setCreatedDate

          public void setCreatedDate(Long createdDate)

Copyright © 2016 JBoss by Red Hat. All rights reserved.